=== debian/control ===
Source: ros-lunar-microstrain-3dmgx2-imu
Section: misc
Priority: extra
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx10-dev, ros-lunar-catkin, ros-lunar-diagnostic-updater, ros-lunar-message-generation, ros-lunar-roscpp, ros-lunar-self-test, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Homepage: http://www.ros.org/wiki/microstrain_3dmgx2_imu
Standards-Version: 3.9.2

Package: ros-lunar-microstrain-3dmgx2-imu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx10-dev, ros-lunar-diagnostic-updater, ros-lunar-message-runtime, ros-lunar-roscpp, ros-lunar-self-test, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Description: A driver for IMUs compatible the microstrain 3DM-GX2 and 3DM-GX3 protocol.
 Includes a heavily modified standalone driver pulled from the player distribution, and a ROS node.
